/** @param {import(".").NS } ns */

export async function main(ns) {
    // ns.disableLog('ALL');

    await ns.sleep(ns.args.length > 1 ? ns.args[1] : 0);
    await ns.weaken(ns.args.length > 0 ? ns.args[0] : '')
}